Module tdlight.api
Package it.tdlight.jni

# Class TdApi.InputMessageText

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.InputMessageContent
it.tdlight.jni.TdApi.InputMessageText

Enclosing class:
  TdApi

public static final class TdApi.InputMessageText extends TdApi.InputMessageContent
A text message.

## Field Summary

Fields
Modifier and Type
Field
Description
`boolean`
`clearDraft`
True, if a chat message draft must be deleted.
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.LinkPreviewOptions`
`linkPreviewOptions`
Options to be used for generation of a link preview; may be null if none; pass null to use default link preview options.
`TdApi.FormattedText`
`text`
Formatted text to be sent; 0-getOption("message_text_length_max") characters.

## Constructor Summary

Constructors
Constructor
Description
`InputMessageText()`
A text message.
`InputMessageText(TdApi.FormattedText text, TdApi.LinkPreviewOptions linkPreviewOptions, boolean clearDraft)`
A text message.
`InputMessageText(DataInput input)`
A text message.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### text

public TdApi.FormattedText text
Formatted text to be sent; 0-getOption("message_text_length_max") characters. Only Bold, Italic, Underline, Strikethrough, Spoiler, CustomEmoji, BlockQuote, Code, Pre, PreCode, TextUrl and MentionName entities are allowed to be specified manually.

### linkPreviewOptions

public TdApi.LinkPreviewOptions linkPreviewOptions
Options to be used for generation of a link preview; may be null if none; pass null to use default link preview options.

### clearDraft

public boolean clearDraft
True, if a chat message draft must be deleted.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### InputMessageText

public InputMessageText()
A text message.

### InputMessageText

public InputMessageText(TdApi.FormattedText text, TdApi.LinkPreviewOptions linkPreviewOptions, boolean clearDraft)
A text message.

Parameters:
  `text` - Formatted text to be sent; 0-getOption("message_text_length_max") characters. Only Bold, Italic, Underline, Strikethrough, Spoiler, CustomEmoji, BlockQuote, Code, Pre, PreCode, TextUrl and MentionName entities are allowed to be specified manually.
  `linkPreviewOptions` - Options to be used for generation of a link preview; may be null if none; pass null to use default link preview options.
  `clearDraft` - True, if a chat message draft must be deleted.

### InputMessageText

public InputMessageText(DataInput input) throws IOException
A text message.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`